Bug 1893977 - node-ca pod become unable to work after OCP upgrade if using taints feature
Summary: node-ca pod become unable to work after OCP upgrade if using taints feature
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1850465
Blocks: 1915081
TreeView+ depends on / blocked
 
Reported: 2020-11-03 09:08 UTC by Oleg Bulatov
Modified: 2021-01-22 07:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1850465
Environment:
Last Closed: 2020-12-14 13:50:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 632 0 None closed Bug 1893977: Keep node-ca daemonset in-sync with reference version 2021-01-26 14:53:32 UTC
Red Hat Product Errata RHSA-2020:5259 0 None None None 2020-12-14 13:51:07 UTC

Description Oleg Bulatov 2020-11-03 09:08:07 UTC
Many Cluster Operators become unable to work after OCP upgrade if using taints feature

Version information:

$ oc version
Client Version: 4.4.0-202004250654-2576e48
Server Version: 4.4.3
Kubernetes Version: v1.17.1

How reproducible:

Always

Steps to Reproduce: 

1. Add taints one of worker nodes

$ oc adm taint nodes worker5.example.com app=batch:NoSchedule

2. Upgrade OCP

$ oc adm upgrade --to=<version>

Actual results: 

Many Cluster Operator pods launched by daemonset disappeared after OCP upgrade.

Expected results: 

OCP upgrade finishes with no problem.

Comment 5 errata-xmlrpc 2020-12-14 13:50:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.8 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5259


Note You need to log in before you can comment on or make changes to this bug.